Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.core
Class ObjectIdFactory.ObjectIdImpl

    java.lang.Object
      org.jasig.portal.core.ObjectIdFactory.ObjectIdImpl

All Implemented Interfaces:
  java.io.Serializable, IObjectId

Direct Known Subclasses:
  NodeIdFactory.NodeIdImpl

Enclosing class:
  ObjectIdFactory

    protected static class ObjectIdFactory.ObjectIdImpl

extends java.lang.Object
implements IObjectId

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `id`

Constructor Summary
`ObjectIdFactory.ObjectIdImpl(int id)`
`ObjectIdFactory.ObjectIdImpl(long id)`
`ObjectIdFactory.ObjectIdImpl(java.lang.String id)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `toInt()`
`long` | `toLong()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

Constructor Detail

### ObjectIdFactory.ObjectIdImpl

    public ObjectIdFactory.ObjectIdImpl(java.lang.String id)

### ObjectIdFactory.ObjectIdImpl

    public ObjectIdFactory.ObjectIdImpl(int id)

### ObjectIdFactory.ObjectIdImpl

    public ObjectIdFactory.ObjectIdImpl(long id)

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `IObjectId`
  Overrides:
    `toString` in class `java.lang.Object`

### toInt

    public int toInt()

  Specified by:
    `toInt` in interface `IObjectId`

### toLong

    public long toLong()

  Specified by:
    `toLong` in interface `IObjectId`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD